org.apache.ignite.internal.processors.cache.persistence.tree.reuse

## Class LongListReuseBag

- java.lang.Object
- - org.apache.ignite.internal.util.GridLongList
  - - org.apache.ignite.internal.processors.cache.persistence.tree.reuse.LongListReuseBag

All Implemented Interfaces:
  Externalizable, Serializable, ReuseBag, Message

    public final class LongListReuseBag
    extends GridLongList
    implements ReuseBag

`GridLongList`-based reuse bag.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.GridLongList

`EMPTY_ARRAY`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`LongListReuseBag()` Default constructor for `Externalizable`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFreePage(long pageId)`
`long` `pollFreePage()`

### Methods inherited from class org.apache.ignite.internal.util.GridLongList

`add, addAll, addAll, array, asList, clear, contains, containsAll, copy, copyWithout, directType, distinct, equals, fieldsCount, get, hashCode, isEmpty, last, onAckReceived, pop, readExternal, readFrom, readFrom, remove, removeIndex, removeValue, replaceValue, size, sort, toString, truncate, writeExternal, writeTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.tree.reuse.ReuseBag

`isEmpty`

### Constructor Detail

#### LongListReuseBag

    public LongListReuseBag()

Default constructor for `Externalizable`.

### Method Detail

#### addFreePage

    public void addFreePage(long pageId)

Specified by:
  `addFreePage` in interface `ReuseBag`
Parameters:
  `pageId` - Free page ID for reuse.

#### pollFreePage

    public long pollFreePage()

Specified by:
  `pollFreePage` in interface `ReuseBag`
Returns:
  Free page ID for reuse or `0` if empty.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021